#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2017,2018. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# genDataCapture.sh
# This script provides a sample for creating the DataCaptureStore in IIB 
# ---------------------------------------------------------------------
#
mqsicreateconfigurableservice <IntegrationNode> -c DataCaptureStore -o FTMIP-TCHConnector -n dataSourceName,egForRecord,egForView,schema  -v MBRECORD,DCS-Record,DCS-View,WMB
mqsicreateconfigurableservice <IntegrationNode> -c DataCaptureSource -o FTMIP-DS1       -n dataCaptureStore,topic -v FTMIP-TCHConnector,'$SYS/Broker/<IntegrationNode>/Monitoring/Connector-1/Connectivity.TCHConnector'
mqsicreateconfigurableservice <IntegrationNode> -c DataCaptureSource -o FTMIP-DS2       -n dataCaptureStore,topic -v FTMIP-TCHConnector,'$SYS/Broker/<IntegrationNode>/Monitoring/Connector-2/Connectivity.TCHConnector'
mqsicreateconfigurableservice <IntegrationNode> -c DataCaptureSource -o FTMIP-DS3       -n dataCaptureStore,topic -v FTMIP-TCHConnector,'$SYS/Broker/<IntegrationNode>/Monitoring/Connector-3/Connectivity.TCHConnector'
mqsicreateconfigurableservice <IntegrationNode> -c DataCaptureSource -o FTMIP-DS4       -n dataCaptureStore,topic -v FTMIP-TCHConnector,'$SYS/Broker/<IntegrationNode>/Monitoring/Connector-4/Connectivity.TCHConnector'
