@echo off
REM ---------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM Copyright IBM Corporation 2017. All Rights Reserved.
REM
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp. 
REM ---------------------------------------------------------------------
REM ApplyFTM_OpDataNoRestrict.cmd
REM Populates the FTM Database with the FTM IP Application Configuration (Windows Version)
REM ---------------------------------------------------------------------

if "%3"=="" goto usage

db2 connect to %1
db2 set current schema %2
db2 set current path %2

if "%3"=="security_on" (
	db2 -tvf view_all_secure.sql
	goto exit
)

if "%3"=="security_off" (
	db2 -tvf view_all_no_secure.sql
	goto exit
)

:usage
echo Syntax: ApplyFTM_OpDataNoRestrict.cmd [Database Name] [Database Schema] [security flag]
echo       :
echo       : security flag is 'security_on' or 'security_off'
:exit

REM
REM End!
REM
